package;
import flash.geom.Rectangle;

class World 
{
	public static var colliders:Array<Rectangle>;
	public static var ladders:Array<Rectangle>;
	
	public static function init() 
	{
		colliders = [];
		ladders = [];
		
		// Outside edges.
		colliders.push(new Rectangle(0, 0, 10, 329));
		colliders.push(new Rectangle(212, 0, 10, 329));
		colliders.push(new Rectangle(0, 0, 222, 9));
		colliders.push(new Rectangle(0, 314, 222, 20));
		
		// Platforms (left edge).
		colliders.push(new Rectangle(0, 185, 44, 6));
		colliders.push(new Rectangle(0, 257, 44, 6));
		
		// Platforms (center).
		colliders.push(new Rectangle(75, 159, 74, 6));
		colliders.push(new Rectangle(75, 222, 74, 6));

		// Platforms (right edge).
		colliders.push(new Rectangle(181, 185, 41, 6));
		colliders.push(new Rectangle(181, 257, 41, 6));

		// Ladder in bottom left
		ladders.push(new Rectangle(53, 242, 6, 72));
		
		// Screen
		ladders.push(new Rectangle(33, 30, 156, 125));
	}
}